# Get search filters

Endpoint: GET /v2/ads/reddit/filters
Version: 2.0.0
Security: ApiKeyAuth

## Response 200 fields (application/json):

  - `status` (string, required)
    Enum: "ok", "failed"

  - `meta` (object, required)

  - `meta.code` (integer)
    Example: 1000

  - `meta.message` (string)
    Example: null

  - `data` (object, required)
    Example: {"filters":[]}

  - `data.filters` (array)

  - `data.filters.key` (string)
    Filter key

  - `data.filters.label` (string)
    Filter label. Included only when applicable. Omitted otherwise.

  - `data.filters.icon` (string)
    Filter icon. Included only when applicable. Omitted otherwise.

  - `data.filters.description` (string)
    Filter description. Included only when applicable. Omitted otherwise.

  - `data.filters.placeholder` (any)
    Filter placeholder. Included only when applicable. Omitted otherwise.

  - `data.filters.sub_keys` (object)
    Details for multi-item filter. Included only when applicable. Omitted otherwise.

  - `data.filters.sub_keys.type` (string)
    multi-item type key
    Example: type

  - `data.filters.sub_keys.main` (string)
    multi-item type value
    Example: text

  - `data.filters.default` (any)
    Filter default item selected

  - `data.filters.component` (string)
    Filter component name
    Enum: "SearchBox", "StringSingle", "StringMulti", "StringMultiApi", "BooleanSingle", "NumberMultiRange", "DateMulti", "Order"

  - `data.filters.items` (array)
    Items of the filter. Included only when applicable. Omitted otherwise.

  - `data.filters.items.key` (any)
    Item key

  - `data.filters.items.label` (string)
    Item value

  - `data.filters.items.icon` (string)
    Item icon. Included only when applicable. Omitted otherwise.

  - `data.filters.api_url` (string)
    API URL used to retrieve dynamic filter items.  Included only when applicable. Omitted otherwise.

  - `data.filters.infinite_sign` (boolean)
    The component has an infinity sign. Included only when applicable. Omitted otherwise.

  - `data.filters.min` (any)
    The component minimum value. Included only when applicable. Omitted otherwise.

  - `data.filters.max` (any)
    The component maximum value. Included only when applicable. Omitted otherwise.

  - `data.filters.disable_other` (array)
    Disables other filters. Included only when applicable. Omitted otherwise.

